BUS_NEW_PASS(9)

NAME
BUS_NEW_PASS - notify a bus that the pass level has been changed

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
BUS_NEW_PASS(device_t dev);

DESCRIPTION
The BUS_NEW_PASS() method is called on each bus device to rescan the device tree when the pass level has been changed. This method is responsible for invoking BUS_NEW_PASS(9) on child bus devices to propagate the rescan to child devices. It is also responsible for reprobing any unattached child devices and allowing drivers for the current pass to identify new children. A default implementation is provided by bus_generic_new_pass(9).

SEE ALSO
bus_generic_new_pass(9), bus_set_pass(9), device(9)